CREATE TABLE fun_docio_al_transforms (
    TRANSFORM_ID             NUMBER(18, 0) ,
    TRANSFORM_HASH           VARCHAR2(4000)    NOT NULL,
    TRANSFORMATION           BLOB              NOT NULL,
    TRANSFORMATION_TYPE      VARCHAR2(80)  ,
    MAPPING_METADATA_JSON    BLOB          ,
    MAPPING_METADATA_DOC     BLOB          ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    TRANSFORM_ID             NUMBER(18, 0) ,
    TRANSFORM_HASH           VARCHAR2(4000)    NOT NULL,
    TRANSFORMATION           BLOB              NOT NULL,
    TRANSFORMATION_TYPE      VARCHAR2(80)  ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    MAPPING_METADATA_JSON    BLOB          ,
    MAPPING_METADATA_DOC     BLOB          ,
    CONSTRAINT pk_fun_docio_al_transforms PRIMARY KEY (TRANSFORM_ID, TRANSFORM_ID)
);
